Subject: Re: [PATCH] d80211: make sleeping in hw->config possible #2

From: Andrew Morton <[email-masked]>
Date: Tue, 11 Jul 2006 02:31:00 -0700

On Tue, 11 Jul 2006 11:11:27 +0200
Michael Buesch <[email-masked]> wrote:

> But I think the following is also broken in the old code:
> A wq is not pending anymore, but just executing (before it reschedules itself).
> I think that would also loop forever. I don't think that's what we want.
> Because we can't really keep track of _this_.

The present implementation assumes that the handler will re-arm itself.

I agree that extending that makes sense.  But beware that it's easy to
leave subtle holes in this logic.  Needs careful thought to get right.